Bullsy95  Help!

                What Is Bullsy 95 ?                How To Play	     Options Menu Commands

                 License And Distribution

Bullsy95  was programmed by Mertens Ron, Algorithms by Keinan Alon&Mertens Ron...

Special Thanks go to Yanina Mertens, for the Artwork and Toister Rotem, for starting this Whole Damn 'Project' ...

Bullsy95 is a 32Bit version of Bullsy.Bullsy was a FreeWare,but Bullsy 95 is NOT.

Bullsy95 is a ShareWare.You can try the game,and play it for a while,but if your find it

good,we ask you to send us (send to eiither one of us) a small amount,a Donation.Just to encourage us to continue Programming.Even a few Dollars would be enough...You can send it in whatever Currency you want! (what do we care?).

If you have any comments or you just want to flame us, feel free to email to

                     alonk@math.tau.ac.il

                                 or

                     mertero@math.tau.ac.il

And now you can also Visit Bullsy new home page.Just point your WWW browser at

       http://www.math.tau.ac.il/~mertero/Bullsy.html

Our SnailMail Addresses:

       Mertens Ron:26 Menora St'         Keinan Alon:8 Bezalel Yaffe St'

                            Tel-Aviv,Israel                            Petah-Tikva,Israel

                            Zip:69416                                  Zip:49403


What is Bullsy95?

Bullsy95 is actually a game of  MasterMind, played with Numbers.The object of the game is to Guess your opponent's number.You try to get the correct number, and you then know the number of  Bulls and Hits that you got.You can choose any number with four digits, that complies to these rules:

    -Zero Cannot be the first number

    -The same number Cannot be picked twice

The winner in Bullsy95 is the first one to guess the right number.You play

against the computer (which has different AI levels).

Let's try an example:My number is 1234, and the computer guesses 1356.

The computer has 1 Bull (becuz the 1 is at his correct place) and 1 hit, because he has the number 3, only not in the right position.see?It ain't complicated!It's rather simple,  actually.Go on,Try It!


How To Play

In Bullsy95 there are two ways of entering your Guess:You can use Radio Buttons

Entry,or a simple Edit-Box entry.WIth the Radio Buttons, you can use the Mouse,

And we think its easier.The keyboard is supported here also.No problem I guess.
The Edit-Box is simple really, and you can use the KeyBoard Only.

Hits and Bulls,You have a small dialog in which you answer.Again, you can use the

Keyboard or the Mouse.Whatever suits you!


Options Screen Commands

In the Options Screen, you can change several settings:

-Whether you play against a Computer opponent or not.Playing against the Computer is more challenging, but Sometimes can also be a nag.When you play alone, you can also check your average, and it's a faster game.

-The game's order.If you chose to play against the computer,you can choose Who starts, by clicking those cute buttons...

-The Computer's AI The computer has several levels of AI.Choose the one that suits you the most, and give it go!

-Whether you want entering your Guess using a Edit Box or Radio Buttons.Just check it out, see what you like best.

When you exit Bullsy95 it will save your old options.We found out its better like that!


License And Distribution

You have the right to use, copy and distribute this program, Provided you do not

Alter any part of it, and that no charge other than for handling costs is made.

The Bullsy95 package contains four files:

                                                           Bullsy95.exe

                                                           Bullsy95.hlp

                                                           Readme.txt

                                                           Readme.doc

Please, Do not change any of them.Oh, and please distribute them all...

Note-Bullsy95.cfg is another <Optional> file.its a Config file.If it doesnt exist, it will be created by the Application first time it starts.Please, Do not change any of the Values in there!

As We Said Before:Bullsy95 isnt Free.If you really enjoy this little program, Please send us a Small Donation! Just a small something to make us feel that Its worthwhile programming These Games!

Last Thing : WTC takes no responsibility for any damage cause to your computer or data by Use (or Misuse) of our program


A Hit

A hit is when you have a correct digit, but NOT in the place it should be.


Bull

A Bull is when you have a correct digit, in the EXACT location as it should be.When you got 4 Bulls, game's over, you won!


AI Levels

There  are  three types of Computer Opponents:

-The Beginner.Very stupid, It is not recommended

 to Play against him at all...It can take him several

 Hundreds of turns (!) to guess the number...

-The Master.Good player, good AI.

-Deep Thought:What can we say.A nasty opponent.